## mupen64plus-ui-python-0.3.0.gh.tar.gz

=== requirements.txt ===
pyqt6
pysdl2

=== dist/debian/changelog ===
mupen64plus-ui-python (0-0) unstable; urgency=low

  See changelog.gz for changelog

 -- Milan Nikolic <gen2brain@gmail.com>  Thu, 01 Jan 1970 01:00:00 +0100

=== dist/debian/control ===
Source: mupen64plus-ui-python
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sérgio Benjamim <sergio_br2@yahoo.com.br>,
Standards-Version: 3.9.6
Homepage: http://m64py.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-games/mupen64plus-ui-python.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/mupen64plus-ui-python.git
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3,
 python3-pyqt6,
 pyqt6-dev-tools,
X-Python3-Version: >= 3.4

Package: m64py
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 libsdl2-dev,
 mupen64plus-audio-all | mupen64plus-audio,
 mupen64plus-config-abi-2.2,
 mupen64plus-data,
 mupen64plus-frontend-abi-2.1.1,
 mupen64plus-input-all | mupen64plus-input,
 mupen64plus-rsp-all | mupen64plus-rsp,
 mupen64plus-video-all | mupen64plus-video,
 python3-pyqt6,
 python3-pyqt6.qtsvg,
 python3-sdl2,
Provides:
 mupen64plus-ui,
Recommends:
 python3-dbus,
 python3-lzma | p7zip,
 unrar,
Description: Python based graphical frontend for mupen64plus
 M64Py is a Qt6 front-end (GUI) for Mupen64Plus, a cross-platform
 plugin-based Nintendo 64 emulator. M64Py is written in Python and it
 provides a user-friendly interface over Mupen64Plus shared library.
 .
 Features:
  * Changeable emulation plugins for audio, core, input, rsp, video
  * Selection of emulation core
  * Configuration dialogs for core, plugin and input settings
  * ROMs list
  * Input bindings configuration
  * Cheats support
  * Support gzip, bzip2, zip, rar and 7z archives
  * Video extension (embedded OpenGL window)

=== dist/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_DESTDIR=debian/m64py
export PYBUILD_CONFIGURE_ARGS=config
export PYBUILD_BUILD_ARGS_python3=build_ext
export PYBUILD_INSTALL_ARGS=--install-layout=deb \
	--install-scripts=/usr/share/m64py \
	--install-lib=/usr/share/m64py

DESTDIR = $(CURDIR)/debian/m64py

VERSION = $(shell cat src/m64py/core/defs.py | grep FRONTEND_VERSION | awk -F' = ' '{print $$2}' | tr -d '"')
RELEASE = 0

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --with=python3 --parallel --list-missing --buildsystem=pybuild

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_install:
	dh_auto_install
	mv $(DESTDIR)/usr/share/m64py/m64py/m64py $(DESTDIR)/usr/share/m64py/m64py_run

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_gencontrol:
	dh_gencontrol -pm64py -u-v$(VERSION)-$(RELEASE)

override_dh_builddeb:
	dh_builddeb -- -Zgzip

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_gencontrol override_dh_builddeb \
	get-orig-source override_dh_auto_install override_dh_installchangelogs

=== dist/debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/mupen64plus/mupen64plus-ui-python/releases \
	/mupen64plus/mupen64plus-ui-python/releases/download/[^/]+/m64py-(.*\d).tar.gz
